package com.zd.exam.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;
import com.zd.exam.domain.ElPointsLoginfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * Controller
 *
 * @author cyl
 * @date 2021/12/10
 */
public class ElUserPointsLoginfoVO extends BaseEntity {

   private String nickName;

   private String deptName;

   private Long creditScore;

   private Long bonusPoints;

   private Integer obtainPoints;

   private Integer exchangePoints;

   private Long surplusPoints;

   private String avatar;

   private Integer userStatus;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Long getCreditScore() {
        return creditScore;
    }

    public void setCreditScore(Long creditScore) {
        this.creditScore = creditScore;
    }

    public Long getBonusPoints() {
        return bonusPoints;
    }

    public void setBonusPoints(Long bonusPoints) {
        this.bonusPoints = bonusPoints;
    }

    public Integer getObtainPoints() {
        return obtainPoints;
    }

    public void setObtainPoints(Integer obtainPoints) {
        this.obtainPoints = obtainPoints;
    }

    public Integer getExchangePoints() {
        return exchangePoints;
    }

    public void setExchangePoints(Integer exchangePoints) {
        this.exchangePoints = exchangePoints;
    }

    public Long getSurplusPoints() {
        return surplusPoints;
    }

    public void setSurplusPoints(Long surplusPoints) {
        this.surplusPoints = surplusPoints;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getUserStatus() {
        return userStatus;
    }

    public void setUserStatus(Integer userStatus) {
        this.userStatus = userStatus;
    }
}
